##
##  pgbackrest.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pgbackrest
Summary:      PostgreSQL Backup/Restore Tool
URL:          https://pgbackrest.org/
Vendor:       David Steele
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        RDBMS
License:      GPL
Version:      2.40
Release:      20220721

#   list of sources
Source0:      https://github.com/pgbackrest/pgbackrest/archive/release/%{version}.tar.gz
Patch0:       pgbackrest.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl, gcc
PreReq:       OpenPKG, openpkg >= 20160101, perl

%description
    pgBackRest aims to be a simple, reliable backup and restore
    system that can seamlessly scale up to the largest databases and
    workloads. Instead of relying on traditional backup tools like tar
    and rsync, pgBackRest implements all backup features internally
    and uses a custom protocol for communicating with remote systems.
    Removing reliance on tar and rsync allows for better solutions to
    database-specific backup challenges. The custom remote protocol
    allows for more flexibility and limits the types of connections that
    are required to perform a backup which increases security.

%track
    prog pgbackrest = {
        version   = %{version}
        url       = https://github.com/pgbackrest/pgbackrest/releases
        regex     = (__VER__)\.tar\.gz
    }

%prep
    %setup -q -n pgbackrest-release-%{version}
    %patch -p0

%build
    %{l_shtool} subst \
        -e 's;/var/lib/pgbackrest;%{l_prefix}/var/pgbackrest/log;g' \
        build/lib/pgBackRestBuild/Config/Data.pm
    cd src
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="`pkg-config libxml-2.0 --libs`" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared \
        --disable-nls
    %{l_make} %{l_mflags -O}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/var/pgbackrest/log
    %{l_shtool} install -c -s -m 755 \
        src/pgbackrest $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

